# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutContributor Class Reference

Used internally by KAboutWidget. More...

`#include <kaboutdialog.h>`

Inheritance diagram for KAboutContributor:

[legend]
Collaboration diagram for KAboutContributor:

[legend]
List of all members.

## Signals

void | sendEmail (const QString &name, const QString &email)
void | openURL (const QString &url)

## Public Member Functions

| KAboutContributor (QWidget *parent=0, const char *name=0, const QString &username=QString::null, const QString &email=QString::null, const QString &url=QString::null, const QString &work=QString::null, bool showHeader=false, bool showFrame=true, bool showBold=false)
void | setName (const QString &text, const QString &header=QString::null, bool update=true)
void | setEmail (const QString &text, const QString &header=QString::null, bool update=true)
void | setURL (const QString &text, const QString &header=QString::null, bool update=true)
void | setWork (const QString &text, const QString &header=QString::null, bool update=true)
QString | getName (void) const
QString | getEmail (void) const
QString | getURL (void) const
QString | getWork (void) const
virtual QSize | sizeHint (void) const

## Protected Slots

void | urlClickedSlot (const QString &)
void | emailClickedSlot (const QString &emailaddress)

## Protected Member Functions

virtual void | fontChange (const QFont &oldFont)

## Detailed Description

Used internally by KAboutWidget.

Definition at line 92 of file kaboutdialog.h.

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003